require 'thor'
require 'thor/group'

class Sumodev < Thor
  module Commands
    autoload :Fork, 'sumodev/commands/fork'
    autoload :Ssh,  'sumodev/commands/ssh'
    autoload :Push, 'sumodev/commands/push'
    autoload :Project, 'sumodev/commands/project'
    autoload :Box, 'sumodev/commands/box'
    autoload :Hooks, 'sumodev/commands/hooks'
  end

  register Commands::Fork, 'fork', 'fork <command>', 'All commands concerning Fork applications'
  register Commands::Ssh,  'ssh', 'ssh <server>', 'SSH access to servers'
  register Commands::Push, 'push', 'push <server>', 'Push the SSH keys to the server'
  register Commands::Project, 'project', 'project <command>', 'All commands concerning projects'
  register Commands::Box, 'box', 'box <command>', 'All commands concerning our Vagrant install'
  register Commands::Hooks, 'hooks', 'hooks <command>', 'All commands concerning our git hooks'
end
