require 'sumodev/command'
require 'sumodev/generators/fork/v3'

class Sumodev::Commands::Fork < Sumodev::Command
  namespace :fork

  desc 'create CLIENT NAME', "Create a new Fork app"
  method_option :multilanguage,
                :type => :boolean,
                :default => false,
                :aliases => '-m'

  method_option :fork_repository,
                :type => :string,
                :default => "git://github.com/sumocoders/forkcms.git"

  method_option :branch,
                :type => :string,
                :default => 'master',
                :aliases => '-b'

  method_option :default_language,
                :type => :string,
                :default => 'nl',
                :aliases => '-l'

  def create(client, name)
    fork_generator = Sumodev::Generators::Fork::V3.new([client, name], options)
    fork_generator.invoke_all
  end
end
